[script]
n0=remwk {
n1=set %hourx $asctime(HH) 
n2=set %minsx $asctime(nn)
n3=%minsz = 60 - %minsx
n4=%hourz = 23 - %hourx
n5=if $day = Thursday { set %dayz  2 }
n6=if $day = Wednesday { set %dayz  3 }
n7=if $day = Tuesday { set %dayz  4 }
n8=if $day = Monday  { set %dayz  5 }
n9=if $day = Sunday { set %dayz  6 }
n10=if $day = Saturday { set %dayz  0 }
n11=if $day = Friday { set %dayz  1 }
n12={ return 6Here in sunny Australia it is 3 $day 6 , the time is 3 $time 6 Remember only  3 %dayz 6 Days 3 %hourz 6hours  & 3 %minsz 6 mins to go until the WEEKLY Scores are reset }
n13=}

[aliases]
n0=remwk {
n1=  var %hourx = $asctime(HH) | var %minsx = $asctime(nn)
n2=  var %minsz = 60 - %minsx |  var %hourz = 23 - %hourx
n3=  if %usercp == on { usercap }
n4=  if $day = Thursday { var %dayz = 2 }
n5=  if $day = Wednesday { var %dayz = 3 }
n6=  if $day = Tuesday { var %dayz = 4 }
n7=  if $day = Monday  { var %dayz = 5 }
n8=  if $day = Sunday { var %dayz = 6 }
n9=  if $day = Saturday { var %dayz = 0 }
n10=  if $day = Friday { var %dayz = 1 }
n11=  if %autorest == on  { return %clm  Enkel nog %dayz Dagen %hourz Uren &  %minsz Min. te gaan tot de Wekelijkse scores worden gereset  }
n12=  if %autorest == $null { return %wj This is %wjc %trivchan $+ , %wj I am your host %wjc $me $+ , %wj running $getread(-s,miscop,trivia.nick)  }
n13=}
n14=
n15=todaydate { return $asctime(yyyy) $+ $asctime(mm) $+ $asctime(dd) }
n16=
n17=nextdate {
n18=  var %yearxx = $asctime(yyyy)
n19=  var %monthxx = $asctime(mm)
n20=  var %dayxx = $asctime(dd)
n21=  if $day = Thursday { inc %dayxx  3 }
n22=  if $day = Wednesday { inc %dayxx  4 }
n23=  if $day = Tuesday { inc %dayxx  5 }
n24=  if $day = Monday  { inc %dayxx  6 }
n25=  if $day = Sunday { inc %dayxx  7 }
n26=  if $day = Saturday { inc %dayxx  1 }
n27=  if $day = Friday { inc %dayxx  2 }
n28=  if ( %monthxx == 12 ) && ( %dayxx > 31 ) { inc %yearxx | var %monthxx 01 | dec %dayxx 31 }
n29=  if ( %monthxx == 11 ) && ( %dayxx > 30 ) { var %monthxx = 12 | dec %dayxx 30 }
n30=  if ( %monthxx == 10 ) && ( %dayxx > 31 ) { var %monthxx = 11 | dec %dayxx 31 }
n31=  if ( %monthxx == 09 ) && ( %dayxx > 30 ) { var %monthxx = 10 | dec %dayxx 30 }
n32=  if ( %monthxx == 08 ) && ( %dayxx > 31 ) { var %monthxx = 09 | dec %dayxx 31 }
n33=  if ( %monthxx == 07 ) && ( %dayxx > 31 ) { var %monthxx = 08 | dec %dayxx 31 }
n34=  if ( %monthxx == 06 ) && ( %dayxx > 30 ) { var %monthxx = 07 | dec %dayxx 30 }
n35=  if ( %monthxx == 05 ) && ( %dayxx > 31 ) { var %monthxx = 06 | dec %dayxx 31 }
n36=  if ( %monthxx == 04 ) && ( %dayxx > 30 ) { var %monthxx = 05 | dec %dayxx 30 }
n37=  if ( %monthxx == 03 ) && ( %dayxx > 31 ) { var %monthxx = 04 | dec %dayxx 31 }
n38=  if ( 4 // %yearxx ) && ( %monthxx == 02 ) && ( %dayxx > 29 ) { var %monthxx = 03 | dec %dayxx 29 }
n39=  if ( %monthxx == 02 ) && ( %dayxx > 28 ) { var %monthxx = 03 | dec %dayxx 28 }
n40=  if ( %monthxx == 01 ) && ( %dayxx > 31 ) { var %monthxx = 02 | dec %dayxx 31 }
n41=  if ( %dayxx == 1 ) { var %dayxx = 01 }
n42=  if ( %dayxx == 2 ) { var %dayxx = 02 }
n43=  if ( %dayxx == 3 ) { var %dayxx = 03 }
n44=  if ( %dayxx == 4 ) { var %dayxx = 04 }
n45=  if ( %dayxx == 5 ) { var %dayxx = 05 }
n46=  if ( %dayxx == 6 ) { var %dayxx = 06 }
n47=  if ( %dayxx == 7 ) { var %dayxx = 07 }
n48=  if ( %dayxx == 8 ) { var %dayxx = 08 }
n49=  if ( %dayxx == 9 ) { var %dayxx = 09 }
n50=  return %yearxx $+ %monthxx $+ %dayxx
n51=}
n52=
n53=doscores {
n54=  dowrite -s scores top1winr $replace(%top1winr,[,',],") | dowrite -s scores top1score %top1score | dowrite -s scores top2winr $replace(%top2winr,[,',],") | dowrite -s scores top2score %top2score | dowrite -s scores top3winr $replace(%top3winr,[,',],") | dowrite -s scores top3score %top3score | dowrite -s scores top4winr $replace(%top4winr,[,',],") | dowrite -s scores top4score %top4score
n55=  dowrite -s scores top5winr $replace(%top5winr,[,',],") | dowrite -s scores top5score %top5score | dowrite -s scores top6winr $replace(%top6winr,[,',],") | dowrite -s scores top6score %top6score | dowrite -s scores top7winr $replace(%top7winr,[,',],") | dowrite -s scores top7score %top7score | dowrite -s scores top8winr $replace(%top8winr,[,',],") | dowrite -s scores top8score %top8score
n56=  dowrite -s scores top9winr $replace(%top9winr,[,',],") | dowrite -s scores top9score %top9score | dowrite -s scores top10winr $replace(%top10winr,[,',],") | dowrite -s scores top10score %top10score
n57=  dowrite -s scores tp1winr $replace(%tp1winr,[,',],") | dowrite -s scores tp1score %tp1score | dowrite -s scores tp2winr $replace(%tp2winr,[,',],") | dowrite -s scores tp2score %tp2score  |  dowrite -s scores tp3winr %tp3winr | dowrite -s scores tp3score %tp3score | dowrite -s scores tp4winr %tp4winr | dowrite -s scores tp4score %tp4score
n58=  dowrite -s scores tp5winr $replace(%tp5winr,[,',],") | dowrite -s scores tp5score %tp5score | dowrite -s scores tp6winr $replace(%tp6winr,[,',],") | dowrite -s scores tp6score %tp6score |  dowrite -s scores tp7winr %tp7winr | dowrite -s scores tp7score %tp7score | dowrite -s scores tp8winr %tp8winr | dowrite -s scores tp8score %tp8score
n59=  dowrite -s scores tp9winr $replace(%tp9winr,[,',],") | dowrite -s scores tp9score %tp9score | dowrite -s scores tp10winr $replace(%tp10winr,[,',],") | dowrite -s scores tp10score %tp10score
n60=}
n61=
n62=rhype {
n63=  if (%top20 == $null) && (%rpp >= 17) { set %rpp 0 }
n64=  if (%top20 == on) && (%rpp >= 20) { set %rpp 0 }
n65=  inc %rpp
n66=  %rp = %rpp
n67=  if (%rp == 1) && (%top5on != on) { return %oc3 Laatste WEEK Top 3: $+ %oc4 #1: %last1winr %last1score %oc5 #2: %last2winr %last2score %oc6 #3: %last3winr %last3score  }
n68=  if (%rp == 1) && (%top5on == on) { return %oc3 laatste WEEK Top 5: $+ %oc4 #1: %last1winr %last1score %oc5 #2: %last2winr %last2score %oc6 #3: %last3winr %last3score %oc7 #4: %last4winr %last4score %oc8 #5: %last5winr %last5score  }
n69=  if (%rp == 2) { return %clm %rhype1  }
n70=  if (%rp == 3) { return %clm %rhype2  }
n71=  if (%rp == 4) { return %cltw Deze WEEK Top 10: - #1:  %cltwa %top1winr %top1score %cltw #2: %cltwa %top2winr %top2score %cltw #3: %cltwa %top3winr %top3score %cltw #4: %cltwa %top4winr %top4score %cltw #5: %cltwa %top5winr %top5score %cltw #6: %cltwa %top6winr %top6score %cltw #7: %cltwa %top7winr %top7score %cltw #8: %cltwa %top8winr %top8score %cltw #9: %cltwa %top9winr %top9score %cltw #10: %cltwa %top10winr %top10score  }
n72=  if (%rp == 5) { return %clm  %rhype3  }
n73=  if (%rp == 6) && (%dailyon == on) { return %cltd Vandaag Top 10: - #1:  %cltda %dtop1winr %dtop1score %cltd #2: %cltda %dtop2winr %dtop2score %cltd #3: %cltda %dtop3winr %dtop3score %cltd #4: %cltda %dtop4winr %dtop4score %cltd #5: %cltda %dtop5winr %dtop5score %cltd #6: %cltda %dtop6winr %dtop6score %cltd #7: %cltda %dtop7winr %dtop7score %cltd #8: %cltda %dtop8winr %dtop8score %cltd #9: %cltda %dtop9winr %dtop9score %cltd #10: %cltda %dtop10winr %dtop10score  }
n74=  if (%rp == 6) { inc %rpp | inc %rp }
n75=  if (%rp == 7) { return %clm  %rhype4  }
n76=  if (%rp == 8) { return %clm  %rhype5  }
n77=  if (%rp == 9) && (%top5on != on)  { return %oc9 Laatste MAAND Top 3: $+ %oc10 #1: %lst1winr %lst1score %oc11 #2: %lst2winr %lst2score %oc12 #3: %lst3winr %lst3score  }
n78=  if (%rp == 9) && (%top5on == on)  { return %oc9 Laatste MAAND Top 5: $+ %oc10 #1: %lst1winr %lst1score %oc11 #2: %lst2winr %lst2score %oc12 #3: %lst3winr %lst3score %oc13 #4: %lst4winr %lst4score %oc14 #5: %lst5winr %lst5score  }
n79=  if (%rp == 10) { return %clm %rhype6  }
n80=  if (%rp == 11) && (%dailyon == on) { return %clttda Top Speler deze week: - Zondag: %clttd %d2winr %d2scr %clttda Maandag: %clttd %d3winr %d3scr %clttda Dinsdag: %clttd %d4winr %d4scr %clttda Woensdag: %clttd %d5winr %d5scr %clttda Donderdag: %clttd %d6winr %d6scr %clttda Vrijdag: %clttd %d7winr %d7scr %clttda Zaterdag: %clttd %d1winr %d1scr  }
n81=  if (%rp == 11) { inc %rpp | inc %rp }
n82=  if (%rp == 12) { return %clm %rhype7  }
n83=  if (%rp == 13) && ($getread(-s,miscop,jackpot) == on) { return %cltjp Top JACKPOT Scoorders: - #1:  %cltjpa %topjp1winr %topjp1score %cltjp #2: %cltjpa %topjp2winr %topjp2score %cltjp #3: %cltjpa %topjp3winr %topjp3score %cltjp #4: %cltjpa %topjp4winr %topjp4score %cltjp #5: %cltjpa %topjp5winr %topjp5score %cltjp #6: %cltjpa %topjp6winr %topjp6score %cltjp #7: %cltjpa %topjp7winr %topjp7score %cltjp #8: %cltjpa %topjp8winr %topjp8score %cltjp #9: %cltjpa %topjp9winr %topjp9score %cltjp #10: %cltjpa %topjp10winr %topjp10score  }
n84=  if (%rp == 13) && ($getread(-s,miscop,jackpot) == off) { inc %rp | inc %rpp } 
n85=  if (%rp == 14) { return %clm %rhype8  }
n86=  if (%rp == 15) { return %cltm Deze MAAND Top 10: - #1:  %cltma %tp1winr %tp1score %cltm #2: %cltma %tp2winr %tp2score %cltm #3: %cltma %tp3winr %tp3score %cltm #4: %cltma %tp4winr %tp4score %cltm #5: %cltma %tp5winr %tp5score %cltm #6: %cltma %tp6winr %tp6score %cltm #7: %cltma %tp7winr %tp7score %cltm #8: %cltma %tp8winr %tp8score %cltm #9: %cltma %tp9winr %tp9score %cltm #10: %cltma %tp10winr %tp10score  }
n87=  if (%rp == 16) { return %clm %rhype9  }
n88=  if (%rp == 17) { return $remwk }  
n89=  if (%rp == 18) { return %cltm Deze WEEK Top 11-20: - %cltw #11:  %cltwa %top11winr %top11score %cltw #12: %cltwa %top12winr %top12score %cltw #13: %cltwa %top13winr %top13score %cltw #14: %cltwa %top14winr %top14score %cltw #15: %cltwa %top15winr %top15score %cltw #16: %cltwa %top16winr %top16score %cltw #17: %cltwa %top17winr %top17score %cltw #18: %cltwa %top18winr %top18score %cltw #19: %cltwa %top19winr %top19score %cltw #20: %cltwa %top20winr %top20score  }
n90=  if (%rp == 19) { return %clm  %rhype5  }
n91=  if (%rp == 20) {  return %cltw Deze MAAND Top 11-20: - %cltm #11:  %cltma %tp11winr %tp11score %cltm #12: %cltma %tp12winr %tp12score %cltm #13: %cltma %tp13winr %tp13score %cltm #14: %cltma %tp14winr %tp14score %cltm #15: %cltma %tp15winr %tp15score %cltm #16: %cltma %tp16winr %tp16score %cltm #17: %cltma %tp17winr %tp17score %cltm #18: %cltma %tp18winr %tp18score %cltm #19: %cltma %tp19winr %tp19score %cltm #20: %cltma %tp20winr %tp20score  }
n92=}
n93=bonusv {
n94=  if ($rand(1,20) == 12) { set %rndpoint %bon1 | set %qvalue %clqvb BONUS Vraag Waarde  }
n95=  if ($rand(1,30) == 25) { set %rndpoint %bon2 | set %qvalue %clqvb BONUS Vraag Waarde  }
n96=  if ($rand(1,40) == 30) { set %rndpoint %bon3 | set %qvalue %clqvb BONUS Vraag Waarde  }
n97=  if ($rand(1,50) == 40) { set %rndpoint %bon4 | set %qvalue %clqvb BONUS Vraag Waarde  }
n98=  if ($rand(21,50) == 30) && (%jackpot >= %nextjack) { set %rndpoint %jackpot | set %jp 1 | set %lastjackpot %jackpot | set %jackpot 0 | set %qvalue %oc1 JACKPOT BONUS Vraag Waarde  }
n99=}
n100=top10 {
n101=  checktop10
n102=  .msg $nick 0,12 Top10 Wekelijkse Trivia Spelers;    
n103=  .msg $nick 2 Rank: 
n104=  if (%top1winr != *) { var %topwinr.e = false | .msg $nick 12 1 %top1winr met %top1score Punten }
n105=  if (%top2winr != *) { .timer 1 1 /msg $nick 12 2 %top2winr met %top2score Punten  }
n106=  if (%top3winr != *) { .timer 1 1 /msg $nick 12 3 %top3winr met %top3score Punten  }
n107=  if (%top4winr != *) { .timer 1 1 /msg $nick 12 4 %top4winr met %top4score Punten  }
n108=  if (%top5winr != *) { .timer 1 1 /msg $nick 12 5 %top5winr met %top5score Punten  }
n109=  if (%top6winr != *) { .timer 1 1 /msg $nick 12 6 %top6winr met %top6score Punten  }
n110=  if (%top7winr != *) { .timer 1 1 /msg $nick 12 7 %top7winr met %top7score Punten  }
n111=  if (%top8winr != *) { .timer 1 1 /msg $nick 12 8 %top8winr met %top8score Punten  }
n112=  if (%top9winr != *) { .timer 1 1 /msg $nick 12 9 %top9winr met %top9score Punten  }
n113=  if (%top10winr != *) { .timer 1 1 /msg $nick 12 10 %top10winr met %top10score Punten  }
n114=  if (%topwinr.e == $null) { .msg $nick 12de top10 is nog leeg op dit moment }
n115=}
n116=
n117=topmonth {
n118=  checktopmonth
n119=  .msg $nick 0,04 Top10 Maandelijkse Trivia Spelers; 
n120=  if (%tp1winr != *) { var %tpwinr.e = false | .msg $nick 2 1 %tp1winr met %tp1score Punten  }
n121=  if (%tp2winr != *) { .timer 1 1 /msg $nick 2 2 %tp2winr met %tp2score Punten  }
n122=  if (%tp3winr != *) { .timer 1 1 /msg $nick 2 3 %tp3winr met %tp3score Punten  }
n123=  if (%tp4winr != *) { .timer 1 1 /msg $nick 2 4 %tp4winr met %tp4score Punten  }
n124=  if (%tp5winr != *) { .timer 1 1 /msg $nick 2 5 %tp5winr met %tp5score Punten  }
n125=  if (%tp6winr != *) { .timer 1 1 /msg $nick 2 6 %tp6winr met %tp6score Punten  }
n126=  if (%tp7winr != *) { .timer 1 1 /msg $nick 2 7 %tp7winr met %tp7score Punten  }
n127=  if (%tp8winr != *) { .timer 1 1 /msg $nick 2 8 %tp8winr met %tp8score Punten  }
n128=  if (%tp9winr != *) { .timer 1 1 /msg $nick 2 9 %tp9winr met %tp9score Punten  }
n129=  if (%tp10winr != *) { .timer 1 1 /msg $nick 2 10 %tp10winr met %tp10score Punten  }
n130=  if (%tpwinr.e == $null) { .msg $nick 2de top10 is nog leeg op dit moment  }
n131=}
n132=top3hogs {
n133=  if (%lastwinner == $replace(%last1winr,[,',],") ) || (%lastwinner == $replace(%last2winr,[,',],") ) || (%lastwinner == $replace(%last3winr,[,',],") ) { msg $chan 4 %row 2 Antw. op rij !!! Ik denk dat 4 $+ $nick $+  2 zich meester maakt van deze trivia !!! Is de rest in slaap gevallen?!? } 
n134=}
n135=
n136=upload  {
n137=  %temp.rec.file = $1
n138=  %dcc.file = $1
n139=  .timer 1 60 unset %temp.rec.file
n140=  .time 1 59 msg =$nick Times up, if you still wish to send: $1 :please reissue the Upload command
n141=  .sreq +m auto
n142=  .timer 1 60 .sreq +m ignore
n143=  msg =$nick You have 60 seconds to upload the file: $1
n144=}
n145=rsetscore {
n146=  if (%top20 == $null) { if ($read(scores/scrfyle.tsc,1) != $null) { checktop10 | $weekhtml }
n147=  else { echo -s 11,12 Weekly score file is EMPTY - no scores to reset  | goto end4 } }
n148=  if (%top20 == on) { if ($read(scores/scrfyle.tsc,1) != $null) { checktop20 | $weekhtml20 }
n149=  else { echo -s 11,12 Weekly score file is EMPTY - no scores to reset  | goto end4 } }
n150=  if ($read(scores/scrfyle.tsc,1) != $null) { copy -o scores\scrfyle.tsc download\ }
n151=  ;$jphtml
n152=  set %last1winr %top1winr | set %last1score %top1score
n153=  set %last2winr %top2winr | set %last2score %top2score
n154=  set %last3winr %top3winr | set %last3score %top3score
n155=  set %last4winr %top4winr | set %last4score %top4score
n156=  set %last5winr %top5winr | set %last5score %top5score
n157=  dowrite -s scores last1winr %last1winr | dowrite -s scores last1score %last1score
n158=  dowrite -s scores last2winr %last2winr | dowrite -s scores last2score %last2score
n159=  dowrite -s scores last3winr %last3winr | dowrite -s scores last3score %last3score
n160=  set %top1score 0 | set %top1winr *
n161=  set %top2score 0 | set %top2winr *
n162=  set %top3score 0 | set %top3winr *
n163=  set %top4score 0 | set %top4winr *
n164=  set %top5score 0 | set %top5winr *
n165=  set %top6score 0 | set %top6winr *
n166=  set %top7score 0 | set %top7winr *
n167=  set %top8score 0 | set %top8winr *
n168=  set %top9score 0 | set %top9winr *
n169=  set %top10score 0 | set %top10winr *  
n170=  doscores
n171=  ;rem  doremini wins $1
n172=  doremini credits $1
n173=  doremini mcredits $1
n174=  doremini beer $1
n175=  doremini -wir row $1
n176=  doremini -qt qtime $1
n177=  doremini -p bonustwo $1
n178=  doremini -p bonusone $1
n179=  doremini -j wins $1
n180=  if ($me ison %trivchan) { msg $getread(-s,miscop,trivia.channel)  4 Cleared Top Ten Weekly Scores  }
n181=  :end4
n182=  remini scores\ $+ scrfyle $+ .tsc wins $1 
n183=  resetjack
n184=}
n185=
n186=resetdtopp {
n187=  set %d1winr * | set %d1scr 0
n188=  set %d2winr * | set %d2scr 0
n189=  set %d3winr * | set %d3scr 0
n190=  set %d4winr * | set %d4scr 0
n191=  set %d5winr * | set %d5scr 0
n192=  set %d6winr * | set %d6scr 0
n193=  set %d7winr * | set %d7scr 0
n194=
n195=}
n196=
n197=rstscore {
n198=  if ( %top20 == $null ) { if ($read(scores/month.tsc,1) != $null) { checktopmonth | $monthhtml }
n199=  else { echo -s 11,12 Monthly score file is EMPTY - no scores to reset  | goto end5 } }
n200=  if ( %top20 == on ) { if ($read(scores/month.tsc,1) != $null) { checktopmonth20 | $monthhtml20 }
n201=  else { echo -s 1,13 Monthly score file is EMPTY - no scores to reset  | goto end5 } }
n202=  if ($read(scores/month.tsc,1) != $null) { copy -o scores\month.tsc download\ }
n203=  set %lst1winr %tp1winr | set %lst1score %tp1score
n204=  set %lst2winr %tp2winr | set %lst2score %tp2score
n205=  set %lst3winr %tp3winr | set %lst3score %tp3score
n206=  set %lst4winr %tp4winr | set %lst4score %tp4score
n207=  set %lst5winr %tp5winr | set %lst5score %tp5score
n208=  dowrite -s scores lst1winr %lst1winr | dowrite -s scores lst1score %lst1score
n209=  dowrite -s scores lst2winr %lst2winr | dowrite -s scores lst2score %lst2score
n210=  dowrite -s scores lst3winr %lst3winr | dowrite -s scores lst3score %lst3score
n211=  set %tp1score 0 | set %tp1winr * 
n212=  set %tp2score 0 | set %tp2winr *
n213=  set %tp3score 0 | set %tp3winr *
n214=  set %tp4score 0 | set %tp4winr *
n215=  set %tp5score 0 | set %tp5winr *
n216=  set %tp6score 0 | set %tp6winr *
n217=  set %tp7score 0 | set %tp7winr *
n218=  set %tp8score 0 | set %tp8winr *
n219=  set %tp9score 0 | set %tp9winr *
n220=  set %tp10score 0 | set %tp10winr *
n221=  doscores
n222=  :end5
n223=  remini scores\ $+ month $+ .tsc wins $1
n224=}
n225=
n226=drstscore {
n227=  if ($read(scores/daily.tsc,1) != $null) { dailytop10 }
n228=  else { echo -s 1,9 Daily score file is EMPTY - no scores to reset  | goto end9 }
n229=  set %dlst1winr %dtop1winr | set %dlst1score %dtop1score
n230=  if $day = Sunday { set %d1winr %dlst1winr | set %d1scr %dtop1score }
n231=  if $day = Monday { set %d2winr %dlst1winr | set %d2scr %dtop1score }
n232=  if $day = Tuesday { set %d3winr %dlst1winr | set %d3scr %dtop1score }
n233=  if $day = Wednesday { set %d4winr %dlst1winr | set %d4scr %dtop1score }
n234=  if $day = Thursday { set %d5winr %dlst1winr | set %d5scr %dtop1score }
n235=  if $day = Friday { set %d6winr %dlst1winr | set %d6scr %dtop1score }
n236=  if $day = Saturday { set %d7winr %dlst1winr | set %d7scr %dtop1score }
n237=  set %dtop1score 0 | set %dtop1winr * 
n238=  set %dtop2score 0 | set %dtop2winr *
n239=  set %dtop3score 0 | set %dtop3winr *
n240=  set %dtop4score 0 | set %dtop4winr *
n241=  set %dtop5score 0 | set %dtop5winr *
n242=  set %dtop6score 0 | set %dtop6winr *
n243=  set %dtop7score 0 | set %dtop7winr *
n244=  set %dtop8score 0 | set %dtop8winr *
n245=  set %dtop9score 0 | set %dtop9winr *
n246=  set %dtop10score 0 | set %dtop10winr *
n247=  :end9
n248=  remini scores\ $+ daily $+ .tsc wins $1
n249=
n250=}
n251=id { return 0,01 TrivBot Advance NL V1.1 --- By _3mOn_ --- http://www.dream-on.be/--- }
n252=voicechk {
n253=  if (%voice == $null ) { return }
n254=  if (%voice == auto) { return }
n255=  if ( $nick isvo  $getread(-s,miscop,trivia.channel) ) { return False }
n256=  if ( $nick isop  $getread(-s,miscop,trivia.channel) ) { return False }
n257=  if ( $nick = %top1winr ) { return True }
n258=  if ( $nick = %top2winr ) { return True }
n259=  if ( $nick = %top3winr ) { return True }
n260=  if ( $nick = %top4winr ) { return True }
n261=  if ( $nick = %top5winr ) { return True }
n262=  if ( $nick = %top6winr ) { return True }
n263=  if ( $nick = %top7winr ) { return True }
n264=  if ( $nick = %top8winr ) { return True }
n265=  if ( $nick = %top9winr ) { return True }
n266=  if ( $nick = %tp10winr ) { return True }
n267=  if ( $nick = %tp1winr ) { return True }
n268=  if ( $nick = %tp2winr ) { return True }
n269=  if ( $nick = %tp3winr ) { return True }
n270=  if ( $nick = %tp4winr ) { return True }
n271=  if ( $nick = %tp5winr ) { return True }
n272=  if ( $nick = %tp6winr ) { return True }
n273=  if ( $nick = %tp7winr ) { return True }
n274=  if ( $nick = %tp8winr ) { return True }
n275=  if ( $nick = %tp9winr ) { return True }
n276=  if ( $nick = %tp10winr ) { return True }
n277=  if ( $nick = %last1winr ) { return True }
n278=  if ( $nick = %last2winr ) { return True }
n279=  if ( $nick = %last3winr ) { return True }
n280=  if ( $nick = %last4winr ) && ( %top5on == on ) { return True }
n281=  if ( $nick = %last5winr ) && ( %top5on == on ) { return True }
n282=  if ( $nick = %lst1winr ) { return True }
n283=  if ( $nick = %lst2winr ) { return True }
n284=  if ( $nick = %lst3winr ) { return True }
n285=  if ( $nick = %lst4winr ) && ( %top5on == on ) { return True }
n286=  if ( $nick = %lst5winr ) && ( %top5on == on ) { return True }
n287=}
n288=
n289=channelrecords {
n290=  unset %chantimerp | unset %chantimern
n291=  unset %chanwinrp | unset %chanwinrn
n292=  unset %chanrowrp | unset %chanrowrn
n293=  if ($nick != $null) { msg =$nick 4Cleared Channel records }
n294=}
n295=fin {
n296=  if %ch.ans < %lett  { return }   
n297=  if %ch.ans = %lett { set %tms Je hebt ze allemaal !!!  | kaos.scr }    
n298=}
n299=
n300=
n301=antitheft {
n302=  set %clqqq $mid(%clq,5,2) | set %clqq $mid(%clq,2,2) | set %qestask $replacecs(%questask,$chr(32),~) | set %z1  $+ %clqqq  $+ $rand(a,z) $+  $+ %clqq 
n303=  set %a1 a $+ %clqqq  $+ $rand(a,z) $+  $+ %clqq   | set %b1 b $+ %clqqq  $+ $rand(a,z) $+  $+ %clqq  | set %c1 c $+ %clqqq  $+ $rand(a,z) $+  $+ %clqq  | set %d1 d $+ %clqqq  $+ $rand(a,z) $+  $+ %clqq  | set %e1 e $+ %clqqq  $+ $rand(a,z) $+  $+ %clqq  | set %f1 f $+ %clqqq  $+ $rand(a,z) $+  $+ %clqq  | set %g1 g $+ %clqqq  $+ $rand(a,z) $+  $+ %clqq  | set %h1 h $+ %clqqq  $+ $rand(a,z) $+  $+ %clqq 
n304=  set %i1 i $+ %clqqq  $+ $rand(a,z) $+  $+ %clqq   | set %j1 j $+ %clqqq  $+ $rand(a,z) $+  $+ %clqq  | set %k1 k $+ %clqqq  $+ $rand(a,z) $+  $+ %clqq  | set %l1 l $+ %clqqq  $+ $rand(a,z) $+  $+ %clqq  | set %m1 m $+ %clqqq  $+ $rand(a,z) $+  $+ %clqq  | set %n1 n $+ %clqqq  $+ $rand(a,z) $+  $+ %clqq  | set %o1 o $+ %clqqq  $+ $rand(a,z) $+  $+ %clqq  | set %p1 p $+ %clqqq  $+ $rand(a,z) $+  $+ %clqq 
n305=  set %q1 q $+ %clqqq  $+ $rand(a,z) $+  $+ %clqq   | set %r1 r $+ %clqqq  $+ $rand(a,z) $+  $+ %clqq  | set %s1 s $+ %clqqq  $+ $rand(a,z) $+  $+ %clqq  | set %t1 t $+ %clqqq  $+ $rand(a,z) $+  $+ %clqq  | set %u1 u $+ %clqqq  $+ $rand(a,z) $+  $+ %clqq  | set %v1 v $+ %clqqq  $+ $rand(a,z) $+  $+ %clqq  | set %w1 w $+ %clqqq  $+ $rand(a,z) $+  $+ %clqq  | set %y1 y $+ %clqqq  $+ $rand(a,z) $+  $+ %clqq 
n306=  if %chaos == off {  msg $getread(-s,miscop,trivia.channel) %oc2 $left(%qstfle,3) $+ . $+ %nxt.qst %clq $replacecs(%qestask,a~,%a1,b~,%b1,c~,%c1,d~,%d1,e~,%e1,d~,%d1,f~,%f1,g~,%g1,h~,%h1,i~,%i1,j~,%j1,k~,%k1,l~,%l1,m~,%m1,n~,%n1,o~,%o1,p~,%p1,q~,%q1,r~,%r1,s~,%s1,t~,%t1,u~,%u1,v~,%v1,w~,%w1,y~,%y1,~,%z1 )  }
n307=  if %chaos == on { msg $getread(-s,miscop,trivia.channel) %cltma KAOS %clq $replacecs($right(%qestask,-6),a~,%a1,b~,%b1,c~,%c1,d~,%d1,e~,%e1,d~,%d1,f~,%f1,g~,%g1,h~,%h1,i~,%i1,j~,%j1,k~,%k1,l~,%l1,m~,%m1,n~,%n1,o~,%o1,p~,%p1,q~,%q1,r~,%r1,s~,%s1,t~,%t1,u~,%u1,v~,%v1,w~,%w1,y~,%y1,~,%z1 )  99,99 %clqb %lett Antwoorden | set %rpvc $round($calc(%rpvm * 2 / %lett),0) }
n308=}
n309=
n310=funguss  { 
n311=  if (%jp != $null) { unset %jp | set %jackpot %lastjackpot }
n312=  if $len($arg(%trivq,2,*))  < 7  {  set %rndpoint %megb1 | set %qvalue  $+ %clqvmb MEGA BONUS Vraag Waarde  }
n313=  if $len($arg(%trivq,2,*)) = 7   { set %rndpoint %megb2 | set %qvalue  $+ %clqvmb SUPER MEGA BONUS Vraag Waarde  }
n314=  if $len($arg(%trivq,2,*)) = 8   { set %rndpoint %megb3 | set %qvalue  $+ %clqvmb DELUXE MEGA BONUS Vraag Waarde  }
n315=  if $len($arg(%trivq,2,*)) = 9   {  set %rndpoint %megb4 | set %qvalue  $+ %clqvmb MEGA SUPER BONUS Vraag Waarde  }
n316=  if $len($arg(%trivq,2,*)) = 10   {  set %rndpoint %megb5 | set %qvalue  $+ %clqvmb MEGA DELUXE BONUS Vraag Waarde  }
n317=  if $len($arg(%trivq,2,*)) > 10    {  set %rndpoint %megb6 | set %qvalue  $+ %clqvmb SUPER DELUXE MEGA BONUS Vraag Waarde  }
n318=}
n319=
n320=Delday { 
n321=  if ($getreadd(wins,$replace($$1,[,',],") ) = $null) { dailwrite wins $replace($$1,[,',],") 0 } 
n322=  %wintmp.a = $getreadd(wins,$replace($$1,[,',],")) | set %wintmp.b $$2 | %wintmp.c = %wintmp.a - %wintmp.b | dailwrite wins $replace($$1,[,',],") %wintmp.c
n323=  if ($3 != $null) { .msg $getread(-s,miscop,trivia.channel)  $$1 kreeg $$2 Punten verwijderd van dagelijks totaal.  Reden: $$3- }
n324=  else { .msg $getread(-s,miscop,trivia.channel)  $$1 kreeg $$2 Punten verwijderd van dagelijks totaal.  Reden: Zonder reden }
n325=  unset %wintmp.a | unset %wintmp.b | unset %wintmp.c
n326=}
n327=
n328=DelWeek { 
n329=  if ($getread(wins,$replace($$1,[,',],")) = $null) { dowrite wins $replace($$1,[,',],") 0 } 
n330=  %wintmp.a = $getread(wins,$replace($$1,[,',],")) | set %wintmp.b $$2 | %wintmp.c = %wintmp.a - %wintmp.b | dowrite wins $replace($$1,[,',],") %wintmp.c
n331=  if ($3 != $null) { .msg $getread(-s,miscop,trivia.channel)  $$1 kreeg $$2 Punten verwijderd van wekelijks totaal.  Reden: $$3- }
n332=  else { .msg $getread(-s,miscop,trivia.channel)  $$1 kreeg $$2 Punten verwijderd van wekelijks totaal.  Reden: Zonder reden }
n333=  unset %wintmp.a | unset %wintmp.b | unset %wintmp.c
n334=}
n335=
n336=DelMonth { 
n337=  if ($getred(wins,$replace($$1,[,',],") ) = $null) { dowrit wins $replace($$1,[,',],") 0 } 
n338=  %wintmp.a = $getred(wins,$replace($$1,[,',],")) | set %wintmp.b $$2 | %wintmp.c = %wintmp.a - %wintmp.b | dowrit wins $replace($$1,[,',],") %wintmp.c
n339=  if ($3 != $null) { .msg $getread(-s,miscop,trivia.channel)  $$1 kreeg $$2 Punten verwijderd van het maandelijkse totaal.  Reden: $$3- }
n340=  else { .msg $getread(-s,miscop,trivia.channel)  $$1 kreeg $$2 Punten verwijderd van het maandelijkse totaal.  Reden: Zonder reden }
n341=  unset %wintmp.a | unset %wintmp.b | unset %wintmp.c
n342=}
n343=
n344=Addday { 
n345=  if ($getreadd(wins,$replace($$1,[,',],") ) = $null) { dailwrite wins $replace($$1,[,',],") 0 } 
n346=  %wintmp.a = $getreadd(wins,$replace($$1,[,',],")) | set %wintmp.b $$2 | %wintmp.c = %wintmp.a + %wintmp.b | dailwrite wins $replace($$1,[,',],") %wintmp.c
n347=  if ($3 != $null) { .msg $getread(-s,miscop,trivia.channel)  $$1 kreeg $$2 Punten toegevoegd aan dagelijks totaal.  Reden: $$3- }
n348=  else { .msg $getread(-s,miscop,trivia.channel)  $$1 kreeg $$2 Punten toegevoegd aan dagelijks totaal.  Reden: Geen reden }
n349=  unset %wintmp.a | unset %wintmp.b | unset %wintmp.c
n350=}
n351=
n352=AddWeek { 
n353=  if ($getread(wins,$replace($$1,[,',],") ) = $null) { dowrite wins $replace($$1,[,',],") 0 } 
n354=  %wintmp.a = $getread(wins,$replace($$1,[,',],")) | set %wintmp.b $$2 | %wintmp.c = %wintmp.a + %wintmp.b | dowrite wins $replace($$1,[,',],") %wintmp.c
n355=  if ($3 != $null) { .msg $getread(-s,miscop,trivia.channel)  $$1 kreeg $$2 Punten toegevoegd aan totaal.  Reden: $$3- } 
n356=  else { .msg $getread(-s,miscop,trivia.channel)  $$1 kreeg $$2 Punten toegevoegd aan totaal.  Reden: Geen reden }
n357=  unset %wintmp.a | unset %wintmp.b | unset %wintmp.c
n358=}
n359=
n360=AddMonth { 
n361=  if ($getred(wins,$replace($$1,[,',],") ) = $null) { dowrit wins $replace($$1,[,',],") 0 } 
n362=  %wintmp.a = $getred(wins,$replace($$1,[,',],")) | set %wintmp.b $$2 | %wintmp.c = %wintmp.a + %wintmp.b | dowrit wins $replace($$1,[,',],") %wintmp.c
n363=  if ($3 != $null) { .msg $getread(-s,miscop,trivia.channel)  $$1 kreeg $$2 Punten toegevoegd aan maandelijks totaal.  Reden: $$3- }
n364=  else { .msg $getread(-s,miscop,trivia.channel)  $$1 kreeg $$2 Punten toegevoegd aan maandelijks totaal.  Reden: Geen reden }
n365=  unset %wintmp.a | unset %wintmp.b | unset %wintmp.c
n366=}
n367=
n368=mergefunc { 
n369=  if ($getred(wins,$replace(%xnick,[,',],")) = $null ) { dowrit wins $replace(%xnick,[,',],") 0 }
n370=  if ($getread(wins, $replace(%xnick,[,',],") ) = $null ) { dowrite wins $replace(%xnick,[,',],") 0 } 
n371=  if ($getreadd(wins, $replace(%xnick,[,',],") ) = $null ) { dailwrite wins $replace(%xnick,[,',],") 0 } 
n372=  if ($getred(wins, $replace(%ynick,[,',],") ) = $null ) { dowrit wins $replace(%ynick,[,',],") 0 } 
n373=  if ($getread(wins, $replace(%ynick,[,',],") ) = $null ) { dowrite wins $replace(%ynick,[,',],") 0 } 
n374=  if ($getreadd(wins, $replace(%ynick,[,',],") ) = $null ) { dailwrite wins $replace(%ynick,[,',],") 0 } 
n375=
n376=  var %wintmp.a = $getreadd(wins, $replace(%ynick,[,',],") ) | var %wintmp.b = $getreadd(wins, $replace(%xnick,[,',],") ) | var %wintmp.c = %wintmp.a + %wintmp.b | dailwrite wins $replace(%ynick,[,',],") %wintmp.c
n377=  .msg $getread(-s,miscop,trivia.channel)  %ynick Has Had %wintmp.b Points Transferred from %xnick $+ 's DAILY score
n378=  var %wintmp.a = $getread(wins, $replace(%ynick,[,',],") ) | var %wintmp.b = $getread(wins, $replace(%xnick,[,',],") ) | var %wintmp.c = %wintmp.a + %wintmp.b | dowrite wins $replace(%ynick,[,',],") %wintmp.c
n379=  .msg $getread(-s,miscop,trivia.channel)  %ynick Has Had %wintmp.b Points Transferred from %xnick $+ 's WEEKLY score
n380=  var %wintmp.a = $getred(wins, $replace(%ynick,[,',],") ) | var %wintmp.b = $getred(wins, $replace(%xnick,[,',],") ) | var %wintmp.c = %wintmp.a + %wintmp.b | dowrit wins $replace(%ynick,[,',],") %wintmp.c
n381=  .msg $getread(-s,miscop,trivia.channel)  %ynick Has Had %wintmp.b Points Transferred from %xnick $+ 's MONTHLY score
n382=  dowrit wins $replace(%xnick,[,',],") 0
n383=  dowrite wins $replace(%xnick,[,',],") 0
n384=  dailwrite wins $replace(%xnick,[,',],") 0
n385=  .msg $getread(-s,miscop,trivia.channel) Resetting  $+ %xnick $+  $+ 's DAILY, WEEKLY and MONTHLY score to ZERO
n386=  unset %xnick | unset %ynick
n387=}
